package puppet;


import it.cnr.isti.setest0.mappedSLO.MappedSLODocument;
import it.cnr.isti.setest0.puppetSLO.PuppetSLODocument.PuppetSLO;

import org.antlr.stringtemplate.StringTemplate;

public class Latency 
{
	public Latency(){}
	
	public String prepareLatency(PuppetSLO puppet,String TipoObligated,MappedSLODocument puppet_slomapped)
	{

		String StringReady = "";
		if(TipoObligated.equals("ServiceProvider"))
		{
			if(puppet.getLatency()!=null)
			{
				System.out.println("------------------------------------------------");
				System.out.println("Latency");
				String Latency = puppet.getLatency().getValue().toString();
					
				String intensity = "";
				//String Distrib_latency = "";
				String Latency_string = "";
				//String Distrib_avail = "";
				//Identifico il tipo di probabilit� associata alla latenza
				try
				{
					if(puppet.getLatency().getDistribution().getPoisson()!=null)
					{
						//nel caso in cui la probabilit� settata sia di poisson
						intensity = puppet.getLatency().getDistribution().getPoisson().getIntensity().toString();
						Latency_string = puppet_slomapped.getMappedSLO().getLatency().getDistribution().getPoisson();
						StringTemplate Latency_string_templ = new StringTemplate(Latency_string);
						Latency_string_templ.setAttribute("Value",Latency);
						Latency_string_templ.setAttribute("intensity", intensity);
						StringReady = StringReady + Latency_string_templ.toString();
					}
					else
					{
						if(puppet.getLatency().getDistribution().getGaussian()!=null)
						{
//							Object Gaussian = puppet.getLatency().getDistribution().getGaussian();
							Latency_string = puppet_slomapped.getMappedSLO().getLatency().getDistribution().getGaussian();
							StringTemplate Latency_string_templ = new StringTemplate(Latency_string);
                            Latency_string_templ.setAttribute("Value",Latency);
							StringReady = StringReady + Latency_string_templ.toString();
						}
					}
					
				}	
				catch(Exception e){}

			}
		}
		return StringReady;
	}
}
