package puppet.mobility.oracle;

import constant.Constant;

public class Constants4Mobility {

    // The position of the various elements into a trace-line produced by the simulator NS-2  
    public static final int EVENT_POSITION_IN_TRACELINE= 0;
    public static final int SIMULATION_TIME_POSITION_IN_TRACELINE = 2;
    public static final int NODENAME_POSITION_IN_TRACELINE = 8;
    public static final int NODE_COORDINATE_X_POSITION_IN_TRACELINE = 10;
    public static final int NODE_COORDINATE_Y_POSITION_IN_TRACELINE = 12;
    public static final int NODE_COORDINATE_Z_POSITION_IN_TRACELINE = 14;
    
    public static final int NO_MORE_UPDATE_POSSIBLE_CODE = -1;

    public static final String REFERENCE_SECTION_IN_INIFILE = "mobilityConfiguration";    

    // The number of the nodes the NS-2 simulator is considering
    public static final int NODES = 4;
    
    // The default number of the nodes the NS-2 simulator is considering
    public static final String DEFAULT_NODES = "1";
    
    public static final String DEFAULT_GENERIC_PATH = "./";

//  public static final String DEFAULT_TRACE_FILENAME = "/home/gulyx/Documenti/Dottorato/Eclipse/EclipseWS/PuppetWIP/misc/seaa2008/mobilityModels/mobilityModel.tr";
    public static final String DEFAULT_TRACE_FILENAME = DEFAULT_GENERIC_PATH + "mobilityModel.tr";

//    public static final String DEFAULT_CONFIGURATION_FILENAME = "/home/gulyx/Documenti/Dottorato/Eclipse/EclipseWS/PuppetWIP/misc/seaa2008/mobilityConfiguration.ini";
    public static final String DEFAULT_CONFIGURATION_FILENAME = DEFAULT_GENERIC_PATH + "mobilityConfiguration.ini";

    // Visible at Max Distance Radius
    public static final String DEFAULT_MAX_RADIUS = "400d";    
}
