package puppet;

import java.io.File;
import java.io.IOException;

import org.apache.xmlbeans.XmlException;

import it.cnr.isti.setest0.trueGTList.TrueGTListDocument;
import it.cnr.isti.setest0.trueGTList.TrueGTListDocument.TrueGTList;

public class BuilderLogicGTT 
{
	private String[] Elenco=null;
    private String filename;
    
    private void setScenario (){
        TrueGTListDocument trueGTList = null;
        
        File gtListFile=null;
        try {
            gtListFile=new File(filename);
            trueGTList = TrueGTListDocument.Factory.parse(gtListFile);
        } catch (XmlException e) {
            System.out.println("Support:AgreementOfferDocument " + e );
        } catch (IOException e) {
            System.out.println("Support:AgreementOfferDocument " + e );
        }
        
        TrueGTList gtList = trueGTList.getTrueGTList();
        Elenco = gtList.getGTItemNameArray();
    }

    private void setScenarioWithAll (){        
        Elenco = new String[7];
        Elenco[0]="AnalgesicCriticalPatient";
        Elenco[1]="PenicillinCriticalPatient";
        Elenco[2]="WorkLoad";
        Elenco[3]="CentralizedDataArchive";
        Elenco[4]="SimplePatient";
        Elenco[5]="DefaultCriticalPatient";
        Elenco[6]="TestGT";
    }
    
    private void setScenarioWithoutPenicillin (){        
        Elenco = new String[5];
        Elenco[0]="AnalgesicCriticalPatient";
        Elenco[1]="WorkLoad";
        Elenco[2]="CentralizedDataArchive";
        Elenco[3]="SimplePatient";
        Elenco[4]="DefaultCriticalPatient";
    }

    public BuilderLogicGTT(String filename)
	{
        this.filename = filename;
        this.setScenario();
//        this.setScenarioWithAll();
//        this.setScenarioWithoutPenicillin();
	}

    public String[] GetElenco()
	{
		return Elenco;
	}
}
